[openssh-commits] [openssh] 01/01: upstream: Make diff invocation more portable.
git+noreply at mindrot.org
git+noreply at mindrot.org
Fri Aug 6 19:34:46 AEST 2021
This is an automated email from the git hooks/post-receive script.
dtucker pushed a commit to branch master
in repository openssh.
commit 395d8fbdb094497211e1461cf0e2f80af5617e0a
Author: dtucker at openbsd.org <dtucker at openbsd.org>
Date: Fri Aug 6 09:00:18 2021 +0000
upstream: Make diff invocation more portable.
POSIX does not require diff to have -N, so compare in both directions
with just -r, which should catch missing files in either directory.
OpenBSD-Regress-ID: 0e2ec8594556a6f369ed5a0a90c6806419b845f7
---
regress/scp3.sh | 5 +++--
1 file changed, 3 insertions(+), 2 deletions(-)
diff --git a/regress/scp3.sh b/regress/scp3.sh
index e5493ee8..53db81d2 100644
--- a/regress/scp3.sh
+++ b/regress/scp3.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: scp3.sh,v 1.1 2021/08/04 21:28:00 djm Exp $
+# $OpenBSD: scp3.sh,v 1.2 2021/08/06 09:00:18 dtucker Exp $
# Placed in the Public Domain.
tid="scp3"
@@ -44,7 +44,8 @@ for mode in scp ; do
rm -rf ${DIR2}
cp ${DATA} ${DIR}/copy
$SCP $scpopts -3r hostA:${DIR} hostB:${DIR2} || fail "copy failed"
- diff -rN ${DIR} ${DIR2} || fail "corrupted copy"
+ diff -r ${DIR} ${DIR2} || fail "corrupted copy"
+ diff -r ${DIR2} ${DIR} || fail "corrupted copy"
verbose "$tag: detect non-directory target"
scpclean
--
To stop receiving notification emails like this one, please contact
djm at mindrot.org.
More information about the openssh-commits
mailing list